<?php
/* <WP Plugin Data>
 * Plugin Name: User Sidebar Panel
 * Version: 0.2.4.1
 * Plugin URI: http://krikun.ru/wordpress/usersidebarpanel/#eng
 * Description: This plugin add User Panel in your Sidebar
 * Author: Oleg Krikun
 * Author URI: http://krikun.ru
 */
/*

== INTRODUCTION ==

This plugin add User Panel in your Sidebar


== INSTALLATION ==

Unpack the file "usersidebarpanel.zip" and upload the folder 
"usersidebarpanel" to "wp-content/plugins/." Activate from WP's 
Plugin Management page.


== CONFIGURATION ==

Go to "Options -> UserSidebarPanel" and update you options.

== USAGE ==

You need edit your Sidebar template (sidebar.php)
To display the User Sidebar Panel add the command UserSidebarPanel() anywhere within the sidebar loops
e.g. <?php if(function_exists('UserSidebarPanel')){ UserSidebarPanel(); } ?>



THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY
KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS
OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*/

add_option('usp_lang', 'english');
add_option('usp_note', '');

$usp_lang = get_option('usp_lang');
$usp_note = get_option('usp_note');

require_once(ABSPATH.'/wp-content/plugins/usersidebarpanel/lang/usp_'.$usp_lang.'.php');

function UserSidebarPanel() {
	global $usp_language;
	global $usp_note;
	global $user_identity;

	if ($user_identity) {
		echo '<div id="sb_text">'.$usp_language['greeting'].', <b>'.$user_identity.'</b></div><ul>';
		if (function_exists('cmd_show_avatar')){ cmd_show_me_avatar(); }
		echo '<li><a href="'.get_bloginfo('wpurl').'/wp-admin/profile.php" target="_blank">'.$usp_language['profile'].'</a>';
		if (function_exists('cmd_show_avatar')){
			echo '<ul>';
			if (function_exists('cmd_show_avatar')) echo '<li><a href="'.get_bloginfo('wpurl').'/wp-admin/profile.php?page=cmdavitar.php" target="_blank">'.$usp_language['change_avatar'].'</a></li>';
			echo '</ul></li>';
		}
		else echo '</li>';
		// Publish Posts
		if (current_user_can('publish_posts')) {
			echo '<li><a href="'.get_bloginfo('wpurl').'/wp-admin/post.php" target="_blank">'.$usp_language['add_post'].'</a>';
			// Edit Posts
			if (current_user_can('edit_posts')) {
				echo '<ul><li><a href="'.get_bloginfo('wpurl').'/wp-admin/edit.php" target="_blank">'.$usp_language['mng_post'].'</a></li></ul></li>'; }
			else echo '</li>'; 
		}
		//Page
		if (current_user_can('edit_pages')) {
		echo '<li><a href="'.get_bloginfo('wpurl').'/wp-admin/page-new.php" target="_blank">'.$usp_language['add_page'].'</a><ul>';
		echo '<li><a href="'.get_bloginfo('wpurl').'/wp-admin/edit-pages.php" target="_blank">'.$usp_language['mng_page'].'</a></li></ul></li>';
		}
		//Links
		if (current_user_can('manage_links')) {
		echo '<li><a href="'.get_bloginfo('wpurl').'/wp-admin/link-manager.php" target="_blank">'.$usp_language['mng_link'].'</a></li>';
		}
		//User
		if (current_user_can('edit_users')) {
		echo '<li><a href="'.get_bloginfo('wpurl').'/wp-admin/users.php" target="_blank">'.$usp_language['users'].'</a></li>';
		}
		//Manage Options
		if (current_user_can('manage_options')) {
				echo '<li><a href="'.get_bloginfo('wpurl').'/wp-admin/options-general.php" target="_blank">'.$usp_language['options'].'</a></li>';
		}
		//Switch Themes
		if (current_user_can('switch_themes')) {
			echo '<li><a href="'.get_bloginfo('wpurl').'/wp-admin/themes.php" target="_blank">'.$usp_language['switch_themes'].'</a></li>';
		}
		//Switch Themes
		if (current_user_can('edit_themes')) {
				echo '<li><a href="'.get_bloginfo('wpurl').'/wp-admin/theme-editor.php" target="_blank">'.$usp_language['edit_themes'].'</a></li>';
		}		
		echo '<li><a href="'.get_bloginfo('wpurl').'/wp-login.php?action=logout&redirect_to='.get_option('siteurl').'" title="">'.$usp_language['logout'].'</a></li></ul>';
		if ($usp_note != '') echo '<div>'.$usp_note.'</div>';
	}
	else { 
		echo '
		<form name="loginform" id="loginform" action="'.get_bloginfo('wpurl').'/wp-login.php" method="post">
		<div>'.$usp_language['user_name'].'</div>
		<input  type="text" name="log" id="log" value="" size="20" tabindex="1" />
		<div>'.$usp_language['password'].'</div>
		<input type="password" name="pwd" id="pwd" value="" size="20" tabindex="2" />
		<div>'.$usp_language['remember'].' <input name="rememberme" type="checkbox" id="rememberme" value="forever" tabindex="3" checked="checked" /><br /><input type="submit" name="submit" id="submit" value="'.$usp_language['login'].'" tabindex="4" /></div>
		<div><a href="'.get_bloginfo('wpurl').'/wp-register.php">'.$usp_language['register'].'</a></div>
		<input type="hidden" name="redirect_to" value="'.get_option('siteurl').'" /></form>';
	}
}



function USP_admin_menu() {

	add_options_page('User Sidebar Panel', 'UserSidebarPanel', 8,'usersidebarpanel/usp_options.php');
}

add_action ('admin_menu', 'USP_admin_menu');
add_action ('theme_header', 'UserSidebarPanel');
?>